<?php

namespace Litecms\Plan;

use User;

class Plan
{
    /**
     * $plans object.
     */
    protected $plans;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Plan\Interfaces\PlansRepositoryInterface $plans)
    {
        $this->plans = $plans;
    }

    /**
     * Returns count of plan.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.plans.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->plans->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\PlansUserCriteria());
        }

        $plans = $this->plans->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('plan::' . $view, compact('plans'))->render();
    }
}
