<?php

namespace Litecms\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PlansTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Plan\Models\Plans $plans)
    {
        return [
            'id'                => $plans->getRouteKey(),
            'key'               => [
                'public'    => $plans->getPublicKey(),
                'route'     => $plans->getRouteKey(),
            ], 
            'name'              => $plans->name,
            'min_amount'        => $plans->min_amount,
            'max_amount'        => $plans->max_amount,
            'description'       => $plans->description,
            'features'          => $plans->features,
            'duration'          => $plans->duration,
            'url'               => [
                'public'    => trans_url('plan/'.$plans->getPublicKey()),
                'user'      => guard_url('plan/plans/'.$plans->getRouteKey()),
            ], 
            'status'            => trans('app.'.$plans->status),
            'created_at'        => format_date($plans->created_at),
            'updated_at'        => format_date($plans->updated_at),
        ];
    }
}